> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel an active policy subscription

> Cancel an active policy subscription using the policy id or the policy number provided by the insurer



## OpenAPI

````yaml post /api/v1/policies/cancel
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/policies/cancel:
    post:
      tags:
        - Policies
      summary: Cancel an active policy subscription
      description: >-
        Cancel an active policy subscription using the policy id or the policy
        number provided by the insurer
      operationId: cancel-policy
      parameters:
        - in: query
          name: policy_id
          schema:
            type: string
          description: Unique ID of the policy
        - in: query
          name: policy_number
          schema:
            type: string
          description: policy reference number assigned by the insurer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolicyCancellationRequest'
            examples:
              PolicyCancellationExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: No longer interested in the policy
                summary: Policy Cancellation Example
              PolicyCancellationExample2:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: I found a better policy elsewhere
                  alternative_offerings:
                    alternative_policy: INS-2023-00002
                    alternative_policy_name: Comprehensive Health Insurance
                    alternative_policy_premium: 1500
                    alternative_policy_provider: AXA
                  merchant_feedback: >-
                    The customer found a better policy elsewhere. So we are
                    cancelling this policy
                summary: Policy Cancellation Example 2
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PolicyCancellationRequest'
            examples:
              PolicyCancellationExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: No longer interested in the policy
                summary: Policy Cancellation Example
              PolicyCancellationExample2:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: I found a better policy elsewhere
                  alternative_offerings:
                    alternative_policy: INS-2023-00002
                    alternative_policy_name: Comprehensive Health Insurance
                    alternative_policy_premium: 1500
                    alternative_policy_provider: AXA
                  merchant_feedback: >-
                    The customer found a better policy elsewhere. So we are
                    cancelling this policy
                summary: Policy Cancellation Example 2
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PolicyCancellationRequest'
            examples:
              PolicyCancellationExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: No longer interested in the policy
                summary: Policy Cancellation Example
              PolicyCancellationExample2:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  cancellation_reason: I found a better policy elsewhere
                  alternative_offerings:
                    alternative_policy: INS-2023-00002
                    alternative_policy_name: Comprehensive Health Insurance
                    alternative_policy_premium: 1500
                    alternative_policy_provider: AXA
                  merchant_feedback: >-
                    The customer found a better policy elsewhere. So we are
                    cancelling this policy
                summary: Policy Cancellation Example 2
        required: true
      responses:
        '200':
          description: Policy cancellation successful
        '400':
          description: Bad Request
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PolicyCancellationRequest:
      type: object
      description: Validates a policy cancellation request
      properties:
        policy_id:
          type: string
          format: uuid
        policy_number:
          type: string
          maxLength: 255
        cancellation_reason:
          type: string
          maxLength: 500
        alternative_offerings:
          description: >-
            Optional: Information on alternative policies or offers that might
            suit the policyholder needs, provided by the merchant before
            proceeding with cancellation
        merchant_feedback:
          type: string
          description: >-
            Optional: Feedback or comments from the merchant on the
            policyholder's request for cancellation
          maxLength: 500
      required:
        - cancellation_reason
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````